|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QFontEngineInfo Class Reference
[QtGui module]

The QFontEngineInfo class describes a specific font provided by a font engine plugin. More...

     #include <QFontEngineInfo>

This class is under development and is subject to change.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Properties

family : QString pixelSize : qreal style : QFont::Style | weight : int writingSystems : QList<QFontDatabase::WritingSystem>

### Public Functions

- QFontEngineInfo ()
- QFontEngineInfo ( const QString & family )
- QFontEngineInfo ( const QFontEngineInfo & other )
- ~QFontEngineInfo ()
- QString family () const
- qreal pixelSize () const
- void setFamily ( const QString & name )
- void setPixelSize ( qreal size )
- void setStyle ( QFont::Style style )
- void setWeight ( int weight )
- void setWritingSystems ( const QList<QFontDatabase::WritingSystem> & writingSystems )
- QFont::Style style () const
- int weight () const
- QList<QFontDatabase::WritingSystem> writingSystems () const
- QFontEngineInfo & operator= ( const QFontEngineInfo & other )

## Detailed Description

The QFontEngineInfo class describes a specific font provided by a font engine plugin.

QFontEngineInfo is used to describe a request of a font to a font engine plugin as well as to describe the actual fonts a plugin provides.

See also QAbstractFontEngine and QFontEnginePlugin.

## Property Documentation

### family : QString

the family name of the font

Access functions:

- QString family () const
- void setFamily ( const QString & name )

### pixelSize : qreal

the pixel size of the font

A pixel size of 0 represents a freely scalable font.

Access functions:

- qreal pixelSize () const
- void setPixelSize ( qreal size )

### style : QFont::Style

the style of the font

Access functions:

- QFont::Style style () const
- void setStyle ( QFont::Style style )

### weight : int

the weight of the font

The value should be from the QFont::Weight enumeration.

Access functions:

- int weight () const
- void setWeight ( int weight )

### writingSystems : QList<QFontDatabase::WritingSystem>

the writing systems supported by the font

An empty list means that any writing system is supported.

Access functions:

- QList<QFontDatabase::WritingSystem> writingSystems () const
- void setWritingSystems ( const QList<QFontDatabase::WritingSystem> & writingSystems )

## Member Function Documentation

### QFontEngineInfo::QFontEngineInfo ()

Constructs a new empty QFontEngineInfo.

### QFontEngineInfo::QFontEngineInfo ( const QString & family )

Constructs a new QFontEngineInfo with the specified family. The resulting object represents a freely scalable font with normal weight and style.

### QFontEngineInfo::QFontEngineInfo ( const QFontEngineInfo & other )

Creates a new font engine info object with the same attributes as other.

### QFontEngineInfo::~QFontEngineInfo ()

Destroys this QFontEngineInfo object.

### QFontEngineInfo & QFontEngineInfo::operator= ( const QFontEngineInfo & other )

Assigns other to this font engine info object, and returns a reference to this.